# TGA Input

Read TGA images.

Summary

TGA Input | Read TGA images.
Functions |
gdImageCreateFromTga | Creates a gdImage from a TGA file
gdImageCreateFromTgaPtr |
gdImageCreateFromTgaCtx | Creates a gdImage from a gdIOCtx referencing a TGA binary file.

### Functions

### gdImageCreateFromTga

> gdImagePtr gdImageCreateFromTga( | FILE | * | fp | )

Creates a gdImage from a TGA file

#### Parameters

infile | Pointer to TGA binary file

### gdImageCreateFromTgaPtr

> gdImagePtr gdImageCreateFromTgaPtr( | int |  | size,
> | void | * | data | )

### gdImageCreateFromTgaCtx

> gdImagePtr gdImageCreateFromTgaCtx( | gdIOCtx | * | ctx | )

Creates a gdImage from a gdIOCtx referencing a TGA binary file.

#### Parameters

ctx | Pointer to a gdIOCtx structure

> gdImagePtr gdImageCreateFromTga( | FILE | * | fp | )

Creates a gdImage from a TGA file

> gdImagePtr gdImageCreateFromTgaPtr( | int |  | size,
> | void | * | data | )

> gdImagePtr gdImageCreateFromTgaCtx( | gdIOCtx | * | ctx | )

Creates a gdImage from a gdIOCtx referencing a TGA binary file.
Close